update dbr_setup set component = 'popup-setup.form-a.user-credit-form' WHERE setup_code = 'user-credit';

ALTER TABLE `dbr_setup` CHANGE `created_on` `created_on` BIGINT(11) NOT NULL DEFAULT unix_timestamp();

update dbr_setup set setup_json = '{"PolicyDesc":"비밀번호는 특수문자 포함 8자 이상 가능합니다.","MinLength":8,"IsUpperMixed":false,"IsSpecialMixed":true,"IsProhibitReuse":false}' WHERE setup_code = 'passwd-policy';
update dbr_setup set setup_name = '사용자비밀번호 정책' WHERE setup_code = 'passwd-policy' and brand_code = 'users' ;

update dbr_setup set setup_name = '품목미디어 바디생성',  setup_code = 'media-body', brand_code = 'item'
WHERE setup_code = 'item-media' ;

update dbr_setup set setup_name = '블로그 미디어 바디생성',  setup_code = 'media-body', brand_code = 'post'
WHERE setup_code = 'blog-media' ;

delete from dbr_setup WHERE setup_code = 'custom-media' ;