create or replace view item_big_view as 
select
	dbr_item.*, bd_file_url, igroup_code, igroup_name
from
	dbr_item
	inner join dbr_igroup on dbr_igroup.id = dbr_igroup.id
	left join 
		( select
			media_id,
			bd_file_url
		from
			dbr_media_bd
		where image_type = 'big'
		) as com
	on com.media_id = dbr_item.media_id

	ALTER TABLE `dbr_company` CHANGE `certi_img` `certi_img` VARCHAR(256) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '사업자등록증 사진';
	ALTER TABLE `dbr_company` CHANGE `company_json` `company_json` TEXT CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL COMMENT '커스터마이징 내용';