SELECT * FROM `dbr_company` WHERE email like '%bseyewear1@gmail.com%'
SELECT * FROM `pro_member` WHERE email like '%dabory%'

delete FROM `dbr_company` WHERE email = 'hk0698@naver.com';
delete FROM `pro_member` WHERE email = 'hk0698@naver.com';

email = 'xxnt7765@naver.com';


ALTER TABLE `dbr_user_menu` ADD `guest_app_id` INT(11) NOT NULL DEFAULT '0' AFTER `is_skipped`;

ALTER TABLE `bcs_circulatiing`
  CHANGE `circulatiing_supply` `circulating_supply` DECIMAL (34, 0) DEFAULT 0 NOT NULL;

RENAME TABLE `bcs_circulatiing` TO `bcs_circulating`;


ALTER TABLE `dbr_porder_bd` 
  ADD `memo` TEXT NULL DEFAULT NULL AFTER `confirm_date`,
  ADD `column2` varchar(69) DEFAULT NULL AFTER `confirm_date`,
  ADD `column1` varchar(69) DEFAULT NULL AFTER `confirm_date`;


update dbr_setup set setup_type = 'pro' where setup_code='contact-us';
update dbr_setup set setup_type = 'add-service' where setup_code='text-sent';
update dbr_setup set setup_type = 'add-service' where setup_code='import-pg';
update dbr_setup set setup_type = 'point' where setup_code='user-credit';
update dbr_setup set setup_type = 'point' where setup_code='user-reward';
update dbr_setup set setup_type = 'common' where setup_code='seo-meta';
update dbr_setup set setup_type = 'common' where setup_code='signup-default';
update dbr_setup set setup_type = 'common' where setup_code='login-info';
update dbr_setup set setup_type = 'common' where setup_code='decimal-point';
update dbr_setup set setup_type = 'member' where setup_code='dormant-default';
update dbr_setup set setup_type = 'member' where setup_code='dormant-default';
update dbr_setup set setup_name = '일반설정(mail/.env)' where setup_code='general-info';


delete FROM `dbr_setup` WHERE setup_code = 'office-info';

INSERT INTO dbr_setup (branch_id, setup_code, brand_code, setup_name, component, parameter, is_on_use, is_brand_select, setup_json )
VALUES (0, 'offic-info', '', '사무실정보', 'popup-setup.form-a.office-info-form', '/popup-setup/form-a/office-info', '1', '0', '{\"OfcCode\":\"baeksan-optical\",\"OfcPlace\":\"2\",\"OfcName\":\"3\",\"OfcTaxNo\":\"4\",\"OfcEmail\":\"5\",\"OfcTelNo\":\"6\",\"OfcFaxNo\":\"7\",\"OfcMobile\":\"8\",\"OfcZipCode\":\"9\",\"OfcPresident\":\"10\",\"OfcAddress\":\"11\",\"OfcBizType\":\"12\",\"OfcDealItem\":\"13\"}');

update dbr_setup set component = 'popup-setup.form-a.media-library-form' where setup_code='media-body'

INSERT INTO dbr_setup (branch_id, setup_code, brand_code, setup_name, component, parameter, is_on_use, is_brand_select, setup_json )
VALUES (0, 'contact-us', 'main', '컨택트폼-메인', 'popup-setup.form-a.contact-us-form', '/popup-setup/form-a/contact-us', '1', '1', '');

delete FROM `dbr_setup` WHERE setup_code = 'contact-us';

INSERT INTO dbr_setup (branch_id, setup_code, brand_code, setup_name, component, parameter, is_on_use, is_brand_select, setup_json )
VALUES (0, 'contact-us', 'main', '컨택트폼-메인', 'popup-setup.form-a.contact-us-form', '/popup-setup/form-a/contact-us', '1', '1', '');

delete FROM `dbr_setup` WHERE setup_code = 'contact-us' and brand_code = 'sub-1';
INSERT INTO dbr_setup (branch_id, setup_code, brand_code, setup_name, component, parameter, is_on_use, is_brand_select, setup_json )
VALUES (0, 'contact-us', 'sub1', '컨택트폼-서브1', 'popup-setup.form-a.contact-us-form', '/popup-setup/form-a/contact-us', '1', '1', '');


drop table if exists dbt_list_type1;
CREATE TABLE `dbt_list_type1` (
 `t_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
 `id` int(10) unsigned DEFAULT NULL,
 `created_on` int(11) NOT NULL DEFAULT unix_timestamp(),
 `list_token` varchar(21) NOT NULL,
 `order_by` varchar(32) DEFAULT NULL,
 `c1` varchar(64) DEFAULT NULL,
 `c2` varchar(64) DEFAULT NULL,
 `c3` varchar(64) DEFAULT NULL,
 `c4` varchar(64) DEFAULT NULL,
 `c5` varchar(64) DEFAULT NULL,
 `c6` varchar(64) DEFAULT NULL,
 `c7` varchar(64) DEFAULT NULL,
 `c8` varchar(64) DEFAULT NULL,
 `c9` varchar(64) DEFAULT NULL,
 `c10` varchar(64) DEFAULT NULL,
 `c11` varchar(64) DEFAULT NULL,
 `c12` varchar(64) DEFAULT NULL,
 `c13` varchar(64) DEFAULT NULL,
 `c14` varchar(64) DEFAULT NULL,
 `c15` varchar(64) DEFAULT NULL,
 `c16` varchar(64) DEFAULT NULL,
 `c17` varchar(64) DEFAULT NULL,
 `c18` varchar(64) DEFAULT NULL,
 `c19` varchar(64) DEFAULT NULL,
 `c20` varchar(64) DEFAULT NULL,
 `d1` decimal(20,4) DEFAULT '0.0000',
 `d2` decimal(20,4) DEFAULT '0.0000',
 `d3` decimal(20,4) DEFAULT '0.0000',
 `d4` decimal(20,4) DEFAULT '0.0000',
 `d5` decimal(20,4) DEFAULT '0.0000',
 `d6` decimal(20,4) DEFAULT '0.0000',
 `d7` decimal(20,4) DEFAULT '0.0000',
 `d8` decimal(20,4) DEFAULT '0.0000',
 `d9` decimal(20,4) DEFAULT '0.0000',
 `d10` decimal(20,4) DEFAULT '0.0000',
 `is_sum` char(1) NOT NULL DEFAULT '0',
 `t1` mediumtext DEFAULT NULL,
 `t2` mediumtext DEFAULT NULL,
 UNIQUE KEY `tid` (`t_id`)
) ENGINE=MyISAM AUTO_INCREMENT=2273 DEFAULT CHARSET=utf8mb4

drop table if exists cry_list1;
drop table if exists cry_list1_federated;

drop table if exists fed_crystal_host;
CREATE TABLE `fed_crystal_host` (
 `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
 `created_on` int(11) NOT NULL DEFAULT unix_timestamp(),
 `list_token` varchar(21) NOT NULL,
 `position` varchar(10) NOT NULL,
 `order_by` varchar(32) DEFAULT NULL,
 `c1` varchar(64) DEFAULT NULL,
 `c2` varchar(64) DEFAULT NULL,
 `c3` varchar(64) DEFAULT NULL,
 `c4` varchar(64) DEFAULT NULL,
 `c5` varchar(64) DEFAULT NULL,
 `c6` varchar(64) DEFAULT NULL,
 `c7` varchar(64) DEFAULT NULL,
 `c8` varchar(64) DEFAULT NULL,
 `c9` varchar(64) DEFAULT NULL,
 `c10` varchar(64) DEFAULT NULL,
 `c11` varchar(64) DEFAULT NULL,
 `c12` varchar(64) DEFAULT NULL,
 `c13` varchar(64) DEFAULT NULL,
 `c14` varchar(64) DEFAULT NULL,
 `c15` varchar(64) DEFAULT NULL,
 `c16` varchar(64) DEFAULT NULL,
 `c17` varchar(64) DEFAULT NULL,
 `c18` varchar(64) DEFAULT NULL,
 `c19` varchar(64) DEFAULT NULL,
 `c20` varchar(64) DEFAULT NULL,
 `d1` decimal(20,4) DEFAULT '0.0000',
 `d2` decimal(20,4) DEFAULT '0.0000',
 `d3` decimal(20,4) DEFAULT '0.0000',
 `d4` decimal(20,4) DEFAULT '0.0000',
 `d5` decimal(20,4) DEFAULT '0.0000',
 `d6` decimal(20,4) DEFAULT '0.0000',
 `d7` decimal(20,4) DEFAULT '0.0000',
 `d8` decimal(20,4) DEFAULT '0.0000',
 `d9` decimal(20,4) DEFAULT '0.0000',
 `d10` decimal(20,4) DEFAULT '0.0000',
 `is_sum` char(1) NOT NULL DEFAULT '0',
 `t1` mediumtext DEFAULT NULL,
 `t2` mediumtext DEFAULT NULL,
 UNIQUE KEY `id` (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=2273 DEFAULT CHARSET=utf8mb4;

GRANT ALL PRIVILEGES ON *.* TO 'weberp_db'@'localhost' WITH GRANT OPTION;
FLUSH PRIVILEGES;

drop table if exists zdb_optpos_contact_lens;


ALTER TABLE `dbr_sorder` ADD INDEX `sorder_date` (`sorder_date`);

ALTER TABLE `dbr_sgroup` ADD `Sort` CHAR(1) NOT NULL DEFAULT '0' AFTER `agroup_id`;
ALTER TABLE `dbr_sgroup` ADD `branch_id` INT(11) NOT NULL DEFAULT '0' AFTER `agroup_id`;


show create table bcs_circulating

ALTER TABLE 
	CHANGE `` * COMMENT '',
	CHANGE `` * COMMENT '';

drop table if exists pro_sorder_shop;
CREATE TABLE `pro_sorder_shop` (
 `id` int(11) unsigned NOT NULL,
 `ship_contact` varchar(64) DEFAULT NULL COMMENT '연락처명',
 `ship_mobile` varchar(21) DEFAULT NULL COMMENT '모바일번호',
 `ship_method` varchar(32) DEFAULT NULL COMMENT '배송방식',
 `shipfee_amt` decimal(20,4) DEFAULT 0.0000 COMMENT '배송비',
 `ship_zip_code` varchar(21) DEFAULT NULL COMMENT '우편번호',
 `ship_addr1` varchar(64) DEFAULT NULL COMMENT '주소1',
 `ship_addr2` varchar(64) DEFAULT NULL COMMENT '주소2',
 `paymethod` char(2) NOT NULL DEFAULT '0' COMMENT '결재방식',
 PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4

ALTER TABLE `dbr_sorder` 
  ADD `paymethod` char(2) NOT NULL DEFAULT '0' COMMENT '결재방식' AFTER `is_locked`,
  ADD `ship_addr2` varchar(64) DEFAULT NULL COMMENT '주소2' AFTER `is_locked`,
  ADD `ship_addr1` varchar(64) DEFAULT NULL COMMENT '주소1' AFTER `is_locked`,
  ADD `ship_zip_code` varchar(21) DEFAULT NULL COMMENT '우편번호' AFTER `is_locked`,
  ADD `ship_fee` decimal(20,4) DEFAULT 0.0000 COMMENT '배송비' AFTER `is_locked`,
  ADD `ship_method` varchar(32) DEFAULT NULL COMMENT '배송방식' AFTER `is_locked`,
  ADD `ship_contact` varchar(64) DEFAULT NULL COMMENT '연락처명' AFTER `is_locked`;


drop table if exists pro_time_sales;
CREATE TABLE `pro_time_sales` (
 `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
 `created_on` bigint(20) DEFAULT 0,
 `updated_on` bigint(20) DEFAULT 0,
 `time_sales_no` varchar(21) NOT NULL DEFAULT '' COMMENT '타임세일번호',
 `sales_date` char(8) NOT NULL DEFAULT '' COMMENT '입력일자',
 `item_id` int(10) unsigned NOT NULL COMMENT '품목ID',
 `time_price` decimal(18,4) NOT NULL DEFAULT 0.0000 COMMENT '할인가격',
 `start_on` bigint(20) NOT NULL DEFAULT 0 COMMENT '타임세일 시작일시',
 `end_on` bigint(20) NOT NULL DEFAULT 0 COMMENT '타임세일 종료일시',
 `status` char(1) NOT NULL COMMENT '표시않음',
 `main_page_on` char(1) NOT NULL DEFAULT '0' COMMENT '메인노출',
 `ip` varchar(20) NOT NULL,
 PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;